UntangledAPI
Api referenceExtract

Extract structured fields from meeting notes

POST
/v1/extract/meeting-notes

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.untangledapi.com/v1/extract/meeting-notes" \  -H "Content-Type: application/json" \  -d '{    "document": {}  }'
{
  "data": {
    "title": "string",
    "date": "string",
    "attendees": [
      "string"
    ],
    "topicsDiscussed": [
      "string"
    ],
    "decisions": [
      "string"
    ],
    "actionItems": [
      {
        "owner": "string",
        "task": "string",
        "dueDate": "string"
      }
    ],
    "openQuestions": [
      "string"
    ]
  },
  "model": "string",
  "usage": {
    "inputTokens": 0,
    "outputTokens": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "plan_limit_exceeded",
    "message": "string",
    "details": {
      "plan": "free",
      "bucketHeu": 0,
      "requestedHeu": 0,
      "upgradeUrl": "http://example.com"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}